<?php 
	require_once('./pear/DB.php');
	include_once('./settings/settings.php');
	include_once('./include/globals.php');
	include_once('./include/loader.php');
	include_once('./include/login_functions.php');
	// make sure the user has logged in before accessing this page
	if(($user_struct = get_login_status()) === FALSE){ header("Location: login.php"); exit(0); }

	include_once('./include/functions.php');
	include_once('./include/page_specific/edit_survey.php');

	// define some template specific variables
	$PAGE_TITLE = "Webupdate | eSurvey 2.0 :: Edit Survey";
	$PAGE_HEADER_TEXT = "EDIT / CREATE SURVEY";
	include_once('./include/header.php'); 
	include_once('./include/section_header.php'); 

	$action = 'NEW';
	$survey_id = (isset($_REQUEST['survey_id'])) ? $_REQUEST['survey_id'] : '';
	if(get_survey_hash($survey_id) !== FALSE){ $action = 'LOAD'; }
	
?>
<!-- MAIN PAGE CONTENT [start] -->				
					<style type='text/css'>
					<!--
						.l_question_list_area {
							width: 345px;
							height: 194px;
							background-color: #cfe1e5;
							overflow: scroll;
							overflow-x: hidden;
							overflow-y: scroll;
						}
						.l_question_item {
							width: 241px;
							font: normal normal normal 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
							color: #000000;
							line-height: 11px;
							overflow: hidden;
							text-overflow: ellipsis;
						}
						.l_question_link {
							color: #000000;
							text-decoration: none;
						}
						.l_question_link:hover {
							color: #000000;
							text-decoration: underline;
						}
						.l_select_box_border {
							position: relative; 
							width: 260px; 
							height: 74px; 
							border: 1px solid #4f5161; 
							overflow: hidden;
						}
						.l_form_select_box {
							position: absolute;
							top: -3px;
							left: -3px;
							width: 264px;
							overflow: auto;
							font: normal normal normal 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
							color: #000000;
							line-height: 11px;
							background-color: #ffffff;
							border: 0px;
							padding: 0px;
							margin: 0px;
						}
						.l_form_select_option {
							height: 12px;
						}
						.l_select_ampm {
							font: normal normal normal 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
							color: #4f5161;
							line-height: 11px;
							text-decoration: underline;
						}
						.l_select_ampm:hover {
							font: normal normal normal 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
							color: #4f5161;
							line-height: 11px;
							text-decoration: none;
						}
					-->
					</style>
					<link rel='stylesheet' type='text/css' href='./css/calendar_widget.css'>
					<script language='JavaScript' src='./js/form_utils.js'></script>
					<script language='JavaScript' src='./js/io.js'></script>
					<script language='JavaScript' src='./js/list.js'></script>
					<script language='JavaScript' src='./js/calendar_widget.js'></script>
					<script language='JavaScript' src='./js/page_specific/edit_survey.js'></script>
					<script language='JavaScript'>
					<!--
						survey_id = '<?php echo $survey_id; ?>';
					//-->
					</script>

					<center>
					<img width='1' height='9' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
					<form id='edit_survey_form' name='edit_survey_form'>
					<table cellspacing='0' cellpadding='0' border='0'>
					<tr>
						<td width='347' colspan='3' height='20' align='left' valign='middle' bgcolor='#4f5161'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td><span class='g_sub_section_header'><b>Survey Details</b></span></td>
								<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/adding_a_survey.html#SurveyDetails");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
							</tr>
							</table>
						</td>
						<td width='2' rowspan='3'><img width='2' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='347' colspan='3' height='20' align='left' valign='middle' bgcolor='#4f5161'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='274'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td><span class='g_sub_section_header'><b>Question List</b></span></td>
										<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/adding_a_survey.html#QuestionList");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
									</tr>
									</table>
								</td>
								<td width='73' align='right'><a href='JavaScript:void(0);' onmouseup='new_question_onclick(); this.blur();'><img onmouseover='this.src=bttn_new_question_on.src;' onmouseout='this.src=bttn_new_question_off.src;' align='right' width='73' height='19' src='./images/edit_survey/button/bttn_new_question_off.gif' alt='New Question' title='New Question' hspace='0' vspace='0' border='0'></a></td>
							</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='345' align='left' valign='top'>
<!-- SURVEY DETAILS SECTION [start] -->
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='18' height='22' align='center' valign='middle' bgcolor='#ffffff'><img id='survey_name_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
								<td id='survey_name_label' width='120' height='22' align='right' valign='middle' bgcolor='#ffffff' class='g_form_field_label'>Survey's Name: &#160;<br></td>
								<td width='207' height='22' align='left' valign='middle' bgcolor='#cfe1e5'><input type='text' id='survey_name' name='survey_name' value='' maxlength='128' class='g_form_text_input' style='width:196px; margin-left:5px;'></td>
							</tr>
							<tr>
								<td width='18' height='22' align='center' valign='middle' bgcolor='#ffffff'><img id='start_date_time_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
								<td id='start_date_time_label' width='120' height='22' align='right' valign='middle' bgcolor='#ffffff' class='g_form_field_label'>Start Date/Time: &#160;<br></td>
								<td width='207' height='22' align='left' valign='middle' bgcolor='#cfe1e5'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td width='27' height='22' align='right' valign='middle'>
											<script language='JavaScript'> start_calendar.create_html(); </script>
											<a href='JavaScript:void(0);'><img onmouseup='start_cal_onmouseup();' onmouseover='this.src=icon_calendar_on.src;' onmouseout='this.src=icon_calendar_off.src;' width='22' height='19' src='./images/global/icon/icon_calendar_off.gif' alt='' title='' hspace='0' vspace='0' border='0'></a><br>
										</td>
										<td width='180' height='22' align='right' valign='middle'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='5'><img width='6' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
												<td width='100' id='start_date_text' align='left' valign='middle' class='g_form_static_value'><br></td>	
												<td width='22'><input type='text' id='start_time_hour' name='start_time_hour' value='12' class='g_form_text_input' style='width:22px;' maxlength='2'><br></td>
												<td width='5' align='right' valign='middle' class='g_form_static_value'>:<br></td>
												<td width='22'><input type='text' id='start_time_min' name='start_time_min' value='00' class='g_form_text_input' style='width:22px;' maxlength='2'><br></td>
												<td width='20' align='center' valign='middle'><a href='javascript:void(0);' id='start_time_ampm' onmouseup='calendar_ampm_onmouseup(this);' class='l_select_ampm'>am</a><br></td>
												<td width='6'><img width='6' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
											</tr>
											</table>
										</td>
									</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td width='18' height='22' align='center' valign='middle' bgcolor='#ffffff'><img id='end_date_time_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
								<td id='end_date_time_label' width='120' height='22' align='right' valign='middle' bgcolor='#ffffff' class='g_form_field_label'>End Date/Time: &#160;<br></td>
								<td width='207' height='22' align='left' valign='middle' bgcolor='#cfe1e5'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td width='27' height='22' align='right' valign='middle'>
											<script language='JavaScript'> end_calendar.create_html(); </script>
											<a href='JavaScript:void(0);'><img onmouseup='end_cal_onmouseup();' onmouseover='this.src=icon_calendar_on.src;' onmouseout='this.src=icon_calendar_off.src;' width='22' height='19' src='./images/global/icon/icon_calendar_off.gif' alt='' title='' hspace='0' vspace='0' border='0'></a><br>
										</td>
										<td width='180' height='22' align='right' valign='middle'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='5'><img width='6' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
												<td width='100' id='end_date_text' align='left' valign='middle' class='g_form_static_value'><br></td>	
												<td width='22'><input type='text' id='end_time_hour' name='end_time_hour' value='12' class='g_form_text_input' style='width:22px;' maxlength='2'><br></td>
												<td width='5' align='right' valign='middle' class='g_form_static_value'>:<br></td>
												<td width='22'><input type='text' id='end_time_min' name='end_time_min' value='00' class='g_form_text_input' style='width:22px;' maxlength='2'><br></td>
												<td width='20' align='center' valign='middle'><a href='javascript:void(0);' id='end_time_ampm' onmouseup='calendar_ampm_onmouseup(this);' class='l_select_ampm'>pm</a><br></td>
												<td width='6'><img width='6' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
											</tr>
											</table>
										</td>
									</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td width='18' height='22' align='center' valign='middle' bgcolor='#ffffff'><img id='draft_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
								<td id='draft_label' width='120' height='22' align='right' valign='middle' bgcolor='#ffffff' class='g_form_field_label'>Draft: &#160;<br></td>
								<td width='207' height='22' align='left' valign='middle' bgcolor='#cfe1e5'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td width='18' align='right' valign='middle'><input class='g_form_radio_button' onclick='this.blur();' type='radio' id='' name='is_draft' value='1' checked><br></td>
										<td width='40' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("is_draft",0); this.blur();'>Yes</a><br></td>
										<td width='18' align='right' valign='middle'><input class='g_form_radio_button' onclick='this.blur();' type='radio' id='' name='is_draft' value='0'><br></td>
										<td width='40' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("is_draft",1); this.blur();'>No</a><br></td>
									</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td width='18' height='50' align='center' valign='top' bgcolor='#ffffff'><img id='user_instructions_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='6' border='0'><br></td>
								<td width='120' height='50' align='right' valign='top' bgcolor='#ffffff'><div id='user_instructions_label' class='g_form_field_label' style='margin-top:8px;'>User Instructions: &#160;</div></td>
								<td width='207' height='50' align='left' valign='middle' bgcolor='#cfe1e5'><textarea id='user_instructions' name='user_instructions' class='g_form_textarea' style='width:196px; height:46px; margin:2px 0px 2px 5px;'></textarea></td>
							</tr>
							<tr>
								<td width='18' height='50' align='center' valign='top' bgcolor='#ffffff'><img id='confirmation_msg_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='6' border='0'><br></td>
								<td width='120' height='50' align='right' valign='top' bgcolor='#ffffff'><div id='confirmation_msg_label' class='g_form_field_label' style='margin-top:8px;'>Confirmation Message: &#160;</div></td>
								<td width='207' height='50' align='left' valign='middle' bgcolor='#cfe1e5'><textarea id='confirmation_msg' name='confirmation_msg' class='g_form_textarea' style='width:196px; height:46px; margin:2px 0px 4px 5px;'></textarea></td>
							</tr>
							</table>
<!-- SURVEY DETAILS SECTION [end] -->
						</td>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='345' align='left' valign='top'>
<!-- QUESTION LIST SECTION [start] -->
							<div id='ql_area_div' class='l_question_list_area'><table id='q0_table' cellspacing='0' cellpadding='0' border='0' style='background-color:#ffffff;'>
								<tr>
									<td width='243' height='21' align='left' valign='middle'>
										<div class='l_question_item'><nobr>&#160;(1)&#160;<a id='q0_link' href='JavaScript:void(0);' onmouseup='edit_question_onclick(0); this.blur();' class='l_question_link'></a></nobr></div>
									</td>
									<td width='86' height='21' align='left' valign='middle'>
										<a href='JavaScript:void(0);' onmouseup='move_question_down_onclick(0); this.blur();'><img onmouseover='this.src=icon_arrow_down_on.src;' onmouseout='this.src=icon_arrow_down_off.src;' align='left' width='17' height='17' src='./images/global/icon/icon_arrow_down_off.gif' alt='Move Down' title='Move Down' hspace='2' vspace='0' border='0'></a>
										<a href='JavaScript:void(0);' onmouseup='move_question_up_onclick(0); this.blur();'><img onmouseover='this.src=icon_arrow_up_on.src;' onmouseout='this.src=icon_arrow_up_off.src;' align='left' width='17' height='17' src='./images/global/icon/icon_arrow_up_off.gif' alt='Move Up' title='Move Up' hspace='2' vspace='0' border='0'></a>
										<a href='JavaScript:void(0);' onmouseup='edit_question_onclick(0); this.blur();'><img onmouseover='this.src=icon_pencil_on.src;' onmouseout='this.src=icon_pencil_off.src;' align='left' width='17' height='17' src='./images/global/icon/icon_pencil_off.gif' alt='Edit' title='Edit' hspace='2' vspace='0' border='0'></a>
										<a href='JavaScript:void(0);' onmouseup='delete_question_onclick(0); this.blur();'><img onmouseover='this.src=icon_trash_can_on.src;' onmouseout='this.src=icon_trash_can_off.src;' align='left' width='17' height='17' src='./images/global/icon/icon_trash_can_off.gif' alt='Delete' title='Delete' hspace='2' vspace='0' border='0'></a>
									</td>
								</tr>
								</table></div>
<!-- QUESTION LIST SECTION [end] -->
						</td>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					<tr>
						<td width='347' colspan='3' height='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='347' colspan='3' height='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					</table>

					<img width='1' height='2' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
					
					<table cellspacing='0' cellpadding='0' border='0'>
					<tr>
						<td width='696' colspan='3' height='20' align='left' valign='middle' bgcolor='#4f5161'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='623' height='20'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td><span class='g_sub_section_header'><b>Question Details</b></span></td>
										<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/adding_a_survey.html#QuestionDetails");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
									</tr>
									</table>
								</td>
								<td width='73' align='right' valign='bottom'><a href='JavaScript:void(0);' onmouseup='new_question_onclick(); this.blur();'><img onmouseover='this.src=bttn_new_question_on.src;' onmouseout='this.src=bttn_new_question_off.src;' align='right' width='73' height='19' src='./images/edit_survey/button/bttn_new_question_off.gif' alt='New Question' title='New Question' hspace='0' vspace='0' border='0'></a></td>
							</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='694' align='left' valign='top'>
<!-- QUESTION DETAILS SECTION [start] -->
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='348' height='190' align='left' valign='top' background='./images/edit_survey/other/other_edit_survey_l_bg.gif'>
								<!-- LEFT SIDE [start] -->
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td width='18' height='22' align='center' valign='middle'><img id='question_text_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td id='question_text_label' width='120' height='22' align='right' valign='middle' class='g_form_field_label'>Question Text: &#160;<br></td>
										<td width='207' height='22'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
									</tr>
									<tr>
										<td colspan='3' align='left' valign='top'><textarea id='question_text' name='question_text' class='g_form_textarea' style='width:334; height:46px; margin:0px 0px 2px 7px;'></textarea></td>
									</tr>
									<tr>
										<td width='18' height='22' align='center' valign='middle'><img id='include_stats_report_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td id='include_stats_report_label' width='120' height='22' align='right' valign='middle' class='g_form_field_label'>Include Stats Report: &#160;<br></td>
										<td width='207' height='22' align='left' valign='middle'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='18' align='right' valign='middle'><input class='g_form_radio_button' onclick='this.blur();' type='radio' id='' name='include_stats_report' value='1'><br></td>
												<td width='40' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("include_stats_report",0); this.blur();'>Yes</a><br></td>
												<td width='18' align='right' valign='middle'><input class='g_form_radio_button' onclick='this.blur();' type='radio' id='' name='include_stats_report' value='0' checked><br></td>
												<td width='40' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("include_stats_report",1); this.blur();'>No</a><br></td>
											</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td width='18' height='22' align='center' valign='middle'><img id='required_question_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td id='required_question_label' width='120' height='22' align='right' valign='middle' class='g_form_field_label'>Question is Required: &#160;<br></td>
										<td width='207' height='22' align='left' valign='middle'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='18' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_req_question_onclick(); this.blur();' type='radio' id='' name='required_question' value='1'><br></td>
												<td width='40' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("required_question",0); set_req_question_onclick(); this.blur();'>Yes</a><br></td>
												<td width='18' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_req_question_onclick(); this.blur();' type='radio' id='' name='required_question' value='0' checked><br></td>
												<td width='40' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("required_question",1); set_req_question_onclick(); this.blur();'>No</a><br></td>
											</tr>
											</table>
										</td>
									</tr>
									</table>
									<table id='error_message_section' style='display:none;' cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td width='18' height='22' align='center' valign='middle'><img id='error_message_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td id='error_message_label' width='120' height='22' align='right' valign='middle' class='g_form_field_label'>Error Message: &#160;<br></td>
										<td width='207' height='22'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
									</tr>
									<tr>
										<td colspan='3' align='left' valign='top'><textarea id='error_message' name='error_message' class='g_form_textarea' style='width:334; height:46px; margin:0px 0px 4px 7px;'></textarea></td>
									</tr>
									</table>
								<!-- LEFT SIDE [end] -->
								</td>
								<td width='348' height='190' align='left' valign='top' background='./images/edit_survey/other/other_edit_survey_r_bg.gif'>
								<!-- RIGHT SIDE [start] -->
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td width='18' height='22' align='center' valign='middle'><img id='question_type_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td id='question_type_label' width='90' height='22' align='right' valign='middle' class='g_form_field_label'>Question Type: &#160;<br></td>
										<td width='238' height='22' align='left' valign='middle'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='24' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_question_type_onclick(); this.blur();' type='radio' id='' name='question_type' value='1' checked><br></td>
												<td width='95' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("question_type",0); set_question_type_onclick(); this.blur();'>Text Box</a><br></td>
												<td width='24' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_question_type_onclick(); this.blur();' type='radio' id='' name='question_type' value='4'><br></td>
												<td width='95' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("question_type",1); set_question_type_onclick(); this.blur();'>Check Boxes</a><br></td>
											</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colspan='2' height='20'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td width='238' height='20' align='left' valign='middle'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='24' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_question_type_onclick(); this.blur();' type='radio' id='' name='question_type' value='2'><br></td>
												<td width='95' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("question_type",2); set_question_type_onclick(); this.blur();'>Text Area</a><br></td>
												<td width='24' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_question_type_onclick(); this.blur();' type='radio' id='' name='question_type' value='5'><br></td>
												<td width='95' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("question_type",3); set_question_type_onclick(); this.blur();'>Drop Down</a><br></td>
											</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colspan='2' height='20'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td width='238' height='20' align='left' valign='middle'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='24' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_question_type_onclick(); this.blur();' type='radio' id='' name='question_type' value='3'><br></td>
												<td width='95' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("question_type",4); set_question_type_onclick(); this.blur();'>Radio Buttons</a><br></td>
												<td width='24' align='right' valign='middle'><input class='g_form_radio_button' onclick='set_question_type_onclick(); this.blur();' type='radio' id='' name='question_type' value='6'><br></td>
												<td width='95' align='left' valign='middle'><a class='g_form_static_value' href='JavaScript:void(0);' onclick='select_radio_button("question_type",5); set_question_type_onclick(); this.blur();'>Select Box</a><br></td>
											</tr>
											</table>
										</td>
									</tr>
									</table>
									<img width='1' height='3' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
									<table id='option_list_section' style='display:none;' cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td width='18' height='22' align='center' valign='middle'><img id='option_list_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
										<td id='option_list_label' width='90' height='22' align='right' valign='middle' class='g_form_field_label'>Option List: &#160;<br></td>
										<td width='238' height='22'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
									</tr>
									<tr>
										<td colspan='3' align='left' valign='top'>
											<table cellspacing='0' cellpadding='0' border='0'>
											<tr>
												<td width='275' align='center' valign='top'>
													<input type='text' id='new_option' name='new_option' value='' class='g_form_text_input' style='width:260px;'><br>
													<img width='1' height='4' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
													<div class='l_select_box_border'>
														<select id='option_list' name='option_list' class='l_form_select_box' size='6' multiple></select>
													</div>
												</td>
												<td width='62' align='left' valign='top'>
													<table cellspacing='0' cellpadding='0' border='0'>
													<tr><td width='62' height='31' align='left' valign='top'><a href='JavaScript:void(0);' onmouseup='add_option_onclick(); this.blur();'><img onmouseover='this.src=bttn_add_option_on.src;' onmouseout='this.src=bttn_add_option_off.src;' width='62' height='19' src='./images/edit_survey/button/bttn_add_option_off.gif' alt='Add Option' title='Add Option' hspace='0' vspace='0' border='0'></a><br></td></tr>
													<tr><td width='62' height='20' align='left' valign='top'><a href='JavaScript:void(0);' onmouseup='move_options_up_onclick(); this.blur();'><img onmouseover='this.src=icon_arrow_up_on.src;' onmouseout='this.src=icon_arrow_up_off.src;' align='left' width='17' height='17' src='./images/global/icon/icon_arrow_up_off.gif' alt='Move Up' title='Move Up' hspace='0' vspace='0' border='0'></a><br></td></tr>
													<tr><td width='62' height='20' align='left' valign='top'><a href='JavaScript:void(0);' onmouseup='move_options_down_onclick(); this.blur();'><img onmouseover='this.src=icon_arrow_down_on.src;' onmouseout='this.src=icon_arrow_down_off.src;' align='left' width='17' height='17' src='./images/global/icon/icon_arrow_down_off.gif' alt='Move Down' title='Move Down' hspace='0' vspace='0' border='0'></a><br></td></tr>
													<tr><td width='62' height='20' align='left' valign='top'><a href='JavaScript:void(0);' onmouseup='delete_options_onclick(); this.blur();'><img onmouseover='this.src=icon_trash_can_on.src;' onmouseout='this.src=icon_trash_can_off.src;' align='left' width='17' height='17' src='./images/global/icon/icon_trash_can_off.gif' alt='Delete' title='Delete' hspace='0' vspace='0' border='0'></a><br></td></tr>
													</table>
												</td>
											</tr>
											</table>
										</td>
									</tr>
									</table>
								<!-- RIGHT SIDE [end] -->
								</td>
							</tr>
							</table>
<!-- QUESTION DETAILS SECTION [end] -->
						</td>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					<tr>
						<td width='696' colspan='3' height='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					<tr>
						<td width='696' colspan='3' height='31' align='right' valign='middle'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='296' height='31' align='left' valign='middle'><img id='busy_bar_img' width='100' height='18' src='./images/global/other/other_busy_bar_off.gif' hspace='0' vspace='0' border='0'><br></td>
								<td width='400' height='31' align='right' valign='middle'>
									<a align='right' href='survey_list.php'><img width='73' height='19' onmouseover='this.src=bttn_cancel_on.src;' onmouseout='this.src=bttn_cancel_off.src;' src='./images/global/button/bttn_cancel_off.gif' alt='Cancel' title='Cancel' hspace='2' vspace='0' border='0'></a>
									<a href='JavaScript:void(0);'><img onmouseover='this.src=bttn_save_on.src;' onmouseout='this.src=bttn_save_off.src;' onclick='save_survey_onclick(); this.blur();' width='73' height='19' src='./images/global/button/bttn_save_off.gif' alt='Save' title='Save' hspace='0' vspace='0' border='0'></a><br>
								</td>
							</tr>
							</table>
						</td>
					</tr>
					</table>
					</form>
					<img width='1' height='3' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
					</center>

					<script language='JavaScript'> 
						init_edit_survey_app();
<?php
	if($action == 'LOAD'){ echo_survey_load_js($survey_id); }
	if($action == 'NEW'){ echo_survey_new_js(); }
?>
					</script>
<!-- MAIN PAGE CONTENT [end] -->				
<?php include_once('./include/footer.php'); ?>
