<?php 
	require_once('./pear/DB.php');
	include_once('./settings/settings.php');
	include_once('./include/globals.php');
	include_once('./include/loader.php');
	include_once('./include/functions.php');
	include_once('./include/login_functions.php');

	// place to store all error messages
	$error_log = Array();

	// make sure all variables that may be passed in get declared
	$page_action = isset($_REQUEST['page_action']) ? $_REQUEST['page_action'] : '';
	$user_name = isset($_REQUEST['user_name']) ? $_REQUEST['user_name'] : '';

	// see if the user is trying to login
	if($page_action == 'get_password'){
		$was_sent = send_forgot_password_email($user_name);
		// if errors were encountered, gather them
		if(is_array($was_sent)){
			foreach($was_sent as $idx => $error_msg){ $error_log[] = $error_msg; }
		}
	} // end if

	// define some template specific variables
	$PAGE_TITLE = "Webupdate | eSurvey 2.0 :: Forgot Password";
	$PAGE_HEADER_TEXT = "FORGOT PASSWORD";
	include_once('./include/header.php'); 
	include_once('./include/section_header.php'); 
?>
<style type='text/css'>
<!--
	.l_forgot_pw_link {
		font: normal normal bold 9px verdana,tahoma,helvetica,arial,Sans-serif,sans-serif;
		color: #4f5161;
		line-height: 13px;
		text-decoration: underline;
	}
	.l_forgot_pw_link:hover {
		font: normal normal bold 9px verdana,tahoma,helvetica,arial,Sans-serif,sans-serif;
		color: #4f5161;
		line-height: 13px;
		text-decoration: none;
	}
-->
</style>

<script language='JavaScript' src='./js/form_utils.js'></script>
<script language='JavaScript' src='./js/page_specific/forgot_password.js'></script>

<!-- MAIN PAGE CONTENT [start] -->				
					<img width='1' height='44' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
					<center>
					<form onsubmit='return(send_password_onmouseup());' name='forgot_password_form' id='forgot_password_form' method='POST' action='<?php echo $_SERVER['PHP_SELF']; ?>'>
					<input type='hidden' name='page_action' id='page_action' value=''>

					<table width='355' cellspacing='0' cellpadding='0' border='0'>
					<tr>
						<td width'355' colspan='3' align='left' valign='middle' class='g_form_static_value' style='line-height: 14px;'>
							Enter your User Name below and your password will be emailed to the address associated with this User Name.<br>
							<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
						</td>
					</tr>
					<tr>
						<td width='355' colspan='3' height='20' align='left' valign='middle' bgcolor='#4f5161'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='355' height='20'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td><span class='g_sub_section_header'><b>Forgot Password</b></span></td>
										<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/forgot_your_password.html");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
									</tr>
									</table>
								</td>
							</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='353' align='left' valign='top'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='18' height='72' align='center' valign='middle' bgcolor='#ffffff'><img id='user_name_err_img' width='14' height='14' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
								<td id='user_name_label' width='120' height='72' align='right' valign='middle' bgcolor='#ffffff' class='g_form_field_label'>User Name: &#160;<br></td>
								<td width='215' height='72' align='left' valign='middle' bgcolor='#cfe1e5'><input tabindex='1' type='text' id='user_name' name='user_name' value='' maxlength='32' class='g_form_text_input' style='width:204px; margin-left:5px;'></td>
							</tr>
							</table>
						</td>
						<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					<tr>
						<td width='355' colspan='3' height='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					<tr>
						<td width='1' height='28' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
						<td width='353' height='28' align='left' valign='middle' bgcolor='#dcdcdf'>
							<a href='login.php' class='l_forgot_pw_link' style='padding-left: 8px;'>&lt; Back to Login Screen</a><br>
						</td>
						<td width='1' height='28' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					<tr>
						<td width='355' colspan='3' height='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
					</tr>
					<tr>
						<td colspan='3' height='32' align='right' valign='bottom'>
						<input tabindex='3' type='image' width='93' height='19' onmouseover='this.src=bttn_send_password_on.src;' onmouseout='this.src=bttn_send_password_off.src;' src='./images/login/button/bttn_send_password_off.gif' alt='Send Password' title='Send Password' hspace='0' vspace='0' border='0'><br>
						</td>
					</tr>
					</table>

					</form>
					</center>
					<img width='1' height='104' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>

					<script language='JavaScript'>
					<!--
					// automatically hilight the user name input
					var f = document.forms['forgot_password_form'];
					if(f){ f['user_name'].focus(); }
<?php
	// if the password was successfully retrieved, alert the user
	if($page_action == 'get_password' && count($error_log) == 0){
		echo "alert('[ SUCCESS ]\\nYour password has been emailed to you.');\n";
	}

	// if errors were found, format them for display in a single alert box
	if(count($error_log) > 0){ 
		$error_alert = "[ ERROR ]\n";
		foreach($error_log as $idx => $error_msg){
			$error_alert .= "* $error_msg\n";
		}
		echo "alert('".to_js_str($error_alert)."');\n";
	}
?>
					//-->
					</script>

<!-- MAIN PAGE CONTENT [end] -->				
<?php include_once('./include/footer.php'); ?>
