<?php
	require_once('./include/browser_detect.php');

	// create a new browsers sniffer object
	$browser = new Browser;

	// retrieve the browser info 
	$platform = strtolower($browser->Platform);
	$browser_name = strtolower($browser->Name);
	$version = strtolower($browser->Version);

	$show_warning = 1;

	// strip everything but numbers and periods from the string
	$version = ereg_replace("[^0-9\.]","",$version);
	// force the version to a floating point number
	settype($version, "double");

	// eSurvey is currently only supported under Microsoft Internet Explorer 5.5 and above
	if($browser_name == 'msie' && $version >= 5.5){
		$show_warning = 0;
	}

	// redirect the user to either the login page or display the browser
	// compatibility warning page
	if($show_warning){ header('Location: compatibility_warning.php'); }
	else{ header('Location: login.php'); }
?>
