	// ==========================================================================
	// ||||||||||||||||||||||||| GLOBAL VARIABLES |||||||||||||||||||||||||||||||
	// ==========================================================================
	var is_busy 			= 0; // prevent event functions from being called before other critical events are finished

	// prepare all of the page's rollover graphics
	if(document.images){
		var bttn_send_password_off = new Image(); bttn_send_password_off.src = './images/login/button/bttn_send_password_off.gif';
		var bttn_send_password_on = new Image(); bttn_send_password_on.src = './images/login/button/bttn_send_password_on.gif';
		var icon_field_error_off = new Image(); icon_field_error_off.src = './images/global/icon/icon_field_error_off.gif';
		var icon_field_error_on = new Image(); icon_field_error_on.src = './images/global/icon/icon_field_error_on.gif';
		var icon_field_error_none = new Image(); icon_field_error_none.src = './images/global/other/other_clear_spacer.gif';
	}

	// ==========================================================================
	// ||||||||||||||||||||||||| HELPER FUNCTIONS |||||||||||||||||||||||||||||||
	// ==========================================================================
	// this function turns off all errors on the forgot_password page
	function clear_all_errors(){
		var field_label_array = new Array('user_name');
		for(var i in field_label_array){ clear_field_error(field_label_array[i]); }
	}
	// --------------------------------------------------------------------------
	// this function looks at the data stored in the forgot password form. This function
	// returns the number of invalid data fields found and marks these areas as invalid
	function validate_forgot_password_form(){
		var error_count = 0;
		var s,t, val;

		// check the user name
		t = document.getElementById('user_name');
		val = t.value = trim(t.value);
		if(val.length == 0){ set_field_error('user_name','[ WARNING ]\nThe User Name field cannot be empty.'); error_count++; }

		return error_count;
	}
	// ==========================================================================
	// ||||||||||||||||||||||||| EVENT HANDLER FUNCTIONS ||||||||||||||||||||||||
	// ==========================================================================
	function send_password_onmouseup(){
		is_busy = 1;
		var f = document.forms['forgot_password_form'];
		var ret_val = false;

		// hide any errors that might already be displayed
		clear_all_errors();

		// see if the form contains error and display them
		if(validate_forgot_password_form() == 0){
			f['page_action'].value = 'get_password';
			// if no errors found, we submit our form
			ret_val = true;
		}
		else{ is_busy = 0; }
		return ret_val;
	}
	// --------------------------------------------------------------------------
