	// ---------------------------------------------------------------------------
	// prepare all of the page's rollover graphics
	if(document.images){
		var bttn_save_off = new Image(); bttn_save_off.src = './images/global/button/bttn_save_off.gif';
		var bttn_save_on = new Image(); bttn_save_on.src = './images/global/button/bttn_save_on.gif';
		var bttn_cancel_off = new Image(); bttn_cancel_off.src = './images/global/button/bttn_cancel_off.gif';
		var bttn_cancel_on = new Image(); bttn_cancel_on.src = './images/global/button/bttn_cancel_on.gif';
		var bttn_open_page_off = new Image(); bttn_open_page_off.src = './images/insert_survey/button/bttn_open_page_off.gif';
		var bttn_open_page_on = new Image(); bttn_open_page_on.src = './images/insert_survey/button/bttn_open_page_on.gif';
		var bttn_insert_survey_off = new Image(); bttn_insert_survey_off.src = './images/insert_survey/button/bttn_insert_survey_off.gif';
		var bttn_insert_survey_on = new Image(); bttn_insert_survey_on.src = './images/insert_survey/button/bttn_insert_survey_on.gif';
		var bttn_revert_off = new Image(); bttn_revert_off.src = './images/global/button/bttn_revert_off.gif';
		var bttn_revert_on = new Image(); bttn_revert_on.src = './images/global/button/bttn_revert_on.gif';
	}
	
	// a reference to the pub point browser popup window
	var file_browser_win = null;

	// ---------------------------------------------------------------------------
	// this function creates a popup window with the publish
	// point browser, so that users may select files to open
	function open_bttn_onmouseup(){
		var cFeatures = 
			'width=696,' +
			'height=334,' +
			'scrollbars=no,' +
			'resizable=no,' +
			'location=no,' +
			'menubar=no,' +
			'status=no,' +
			'titlebar=no,' +
			'toolbar=no';

		file_browser_win = window.self.open('pub_point_browser.php', 'file_browse_win', cFeatures);
	}
	// ---------------------------------------------------------------------------
	// this function makes sure that the the client webpage code doesn't contain
	// more than one instance of survey injection code. If it's okay, the form
	// is set up so it know to perform the 'write_file' state actions.
	function save_bttn_onmouseup(){
		var f = document.forms['insert_survey_form'];

		// see how many times survey code has been placed on the page 
		var js_code_count = get_survey_code_instance_count(generic_js_code, 0);

		// warn the user if there's more than 1 survey code instance on the page
		if(js_code_count > 1){
			t = (js_code_count == 1) ? 'instance' : 'instances';
			alert('[ WARNING ]\neSurvey detected that this pages contains '+js_code_count+' '+t+' \nof survey code. eSurvey currently only supports one survey per webpage.\nPlease make changes and SAVE again.');
		}
		else{
			if(f){
				f['page_action'].value = 'write_file';
				submit_form();
			}
		} // end else
	}
	// ---------------------------------------------------------------------------
	// this function uses IE specific code to automatically
	// select the javascript injection code, copy it from a hidden textarea, and
	// then paste it at the cursor in the main code textarea
	function insert_survey_onmouseup(){
		var f = document.forms['insert_survey_form'];
		var dom_obj = null;
		var t = '';

		// see how many times survey code has been placed on the page 
		var js_code_count = get_survey_code_instance_count(generic_js_code, 0);

		// warn the user if there's already survey code on the page
		if(js_code_count > 0){
			t = (js_code_count == 1) ? 'instance' : 'instances';
			alert('[ WARNING ]\neSurvey detected that this pages already contains '+js_code_count+' '+t+' \nof survey code. eSurvey currently only supports one survey per webpage.');
		}
		else{
			if(f){
				dom_obj = f['client_code_textarea'];
				// make sure the browser supports this functionality
				if(document.execCommand){
					// focus the main code textarea and paste the code snippet at the cursor
					dom_obj.focus();
					document.execCommand('paste');
				} // end if
				// warn the user if the browser can't do the copy/paste 
				else{
					alert('[ WARNING ]\nYour Browser does not support this functionality. Please incorporate\nthe JavaScript code snippet below into your webpage.');
				}
			} // end if
		} // end else
	} // end function
	// ---------------------------------------------------------------------------
	// this function is triggered at loadtime and anytime the user hits a keyboard
	// key. This ensures that the clipboard always has the javascript code snippet 
	function document_onkeyup(e){
		var jEvent = e ? e : event;
		var nCharCode = jEvent.which ? jEvent.which : jEvent.keyCode;
		// detect CTRL-c or CTRL-C if the users tries to copy something to the clipboard
		if(jEvent.ctrlKey && nCharCode == 67){
			// a half second later, update the clipboard with the injection code
			setTimeout('copy_injection_code();',500);
		}
	}
	// ---------------------------------------------------------------------------
	// this function copies the original code that was loaded from the ftp
	// server and loads if into the main text area.
	function revert_bttn_onmouseup(){
		var f = document.forms['insert_survey_form'];
		var dom_obj = null;
		if(f){
			// copy the orignally loaded code into the main code textarea
			f['client_code_textarea'].value = f['orig_code'].value;
			f['client_code_textarea'].focus();

			alert('[ SUCCESS ]\nThe most recently saved version\nof the page has been loaded.');
		}
	}
	// ---------------------------------------------------------------------------
	// this function is only called when a user hasn't opened a file in the
	// insert survey page. If a user tries to click 'save' or 'insert survey'
	// they will be informed that they must open a page first
	function pre_file_load_onmouseup(){
		alert('[ WARNING ]\nBefore you can perform this action, you must first\nopen a file by clicking the OPEN PAGE button.');
	}
	// ---------------------------------------------------------------------------
	// this function uses IE specific code to automatically
	// select the javascript injection code and copy it from a hidden textarea
	function copy_injection_code(){
		var f = document.forms['insert_survey_form'];
		var dom_obj = null;
		if(f){
			dom_obj = f['injection_code'];
			// make sure the browser supports this functionality
			if(dom_obj.createTextRange && document.execCommand){
				// display, focus, copy, and then hide the contents of the hidden code snippet textarea
				dom_obj.style.visibility = 'visible';
				dom_obj.focus();
				dom_obj.createTextRange().select();
				document.execCommand('copy');
				dom_obj.style.visibility = 'hidden';
			} // end if
		} // end if
	}
	// ---------------------------------------------------------------------------
	// this function simply submits the pages form and ensures that users don't
	// submit it multiple times while the page is attempting to load
	var is_submitting = 0;
	function submit_form(){
		if(!is_submitting){
			is_submitting = 1;
			setTimeout("document.forms['insert_survey_form'].submit();",10);
		}
		return true;
	}
	// ---------------------------------------------------------------------------
	// this function attempts to find the number of times that the survey
	// injection code has been placed in the main code area. We have to warn the
	// user if they try to put more than one survey on the same page.
	function get_survey_code_instance_count(_js_code, _start_idx){
		var f = document.forms['insert_survey_form'];
		var str = '';
		var pos = -1;
		var cnt = 0;
		var running = 1;
		
		if(f){
			// make everything lowercase to ease comparisons
			_js_code = _js_code.toLowerCase();
			str = f['client_code_textarea'].value.toLowerCase();

			// search until there are no more pieces of injection code found
			while(running){
				// find the next index position of injection code
				pos = str.indexOf(_js_code, _start_idx);
				if(pos != -1){
					cnt++;
					_start_idx = pos + _js_code.length;
				}
				else{ running = 0; }
			} // end while
		} // end if

		return cnt;
	} // end function
	// ---------------------------------------------------------------------------
