	// ==========================================================================
	// ||||||||||||||||||||||||| GLOBAL VARIABLES |||||||||||||||||||||||||||||||
	// ==========================================================================

	// prepare all of the page's rollover graphics
	if(document.images){
		var bttn_go_off = new Image(); bttn_go_off.src = './images/reports/button/bttn_go_off.gif';
		var bttn_go_on = new Image(); bttn_go_on.src = './images/reports/button/bttn_go_on.gif';
		var bttn_download_report_off = new Image(); bttn_download_report_off.src = './images/reports/button/bttn_download_report_off.gif';
		var bttn_download_report_on = new Image(); bttn_download_report_on.src = './images/reports/button/bttn_download_report_on.gif';
	}

	// ==========================================================================
	// ||||||||||||||||||||||||| HELPER FUNCTIONS |||||||||||||||||||||||||||||||
	// ==========================================================================
	// this function handles the submission of the report page form when a user
	// is choosing a survey to view reports on. it makes sure a survey has been
	// selected and that multiple clicks to submit are ignored.
	var submit_in_progress = 0;
	function submit_form(){
		var f = document.forms['survey_report_form'];
		var i = 0;
		var survey_id = -1;
		
		if(!submit_in_progress){
			submit_in_progress = 1;

			// find which survey status was selected
			for(i = 1; i < f['survey_id'].options.length; i++){ 
				if(f['survey_id'].options[i].selected){ 
					survey_id = f['survey_id'].options[i].value;
				} 
			}

			// make sure that a survey_id has been selected
			if(survey_id == -1){ submit_in_progress = 0; }
			else{ setTimeout('document.forms["survey_report_form"].submit();', 10); }
		} 
	}
	// ---------------------------------------------------------------------------
	// this function takes a survey_id and attempts to find it in the survey
	// pulldown menu. If found, it sets it as being selected
	function set_selected_survey_pulldown(_survey_id){
		var f = document.forms['survey_report_form'];
		var i = 0;
		// find which survey status was selected
		for(i = 0; i < f['survey_id'].length; i++){ 
			if(f['survey_id'][i].value == _survey_id){ 
				f['survey_id'][i].selected = true;
				break; 
			} 
		}
	}
	// ==========================================================================
	// ||||||||||||||||||||||||| EVENT HANDLER FUNCTIONS ||||||||||||||||||||||||
	// ==========================================================================
	// this function handles events triggered when the user selects and entry
	// from the survey status pulldown. Based on the status chosen (draft, etc.)
	// the survey name pulldown is updated to display the appropriate surveys.
	function survey_status_onchange(){
		var f = document.forms['survey_report_form'];
		var i, idx = 0;
		// find which survey status was selected
		for(idx = 0; idx < f['survey_tab'].length; idx++){ 
			if(f['survey_tab'][idx].selected){ break; } 
		}
		if(idx == f['survey_tab'].length){ idx = 0; }

		// remove all of the pulldown entries except the first one
		for(i = f['survey_id'].options.length - 1; i >= 1; i--){ 
			f['survey_id'].options[i] = null; 
		}

		// update the survey name pulldown
		for(i = 0; i < survey_pulldown[idx].length; i++){
			f['survey_id'].options[(i+1)] = new Option();
			f['survey_id'].options[(i+1)].text = survey_pulldown[idx][i]['survey_name'];
			f['survey_id'].options[(i+1)].value = survey_pulldown[idx][i]['survey_id'];
		}

		// if there are no entries in the pulldown, visibly display that the
		// pulldown is disabled
		if(survey_pulldown[idx].length == 0){
			f['survey_id'].disabled = true;
			f['survey_id'].style.backgroundColor = '#cfe1e5';
		}
		else{
			f['survey_id'].disabled = false;
			f['survey_id'].style.backgroundColor = '#ffffff';
		}
	}
	// ---------------------------------------------------------------------------

