<?php 
	require_once('./pear/DB.php');
	include_once('./settings/settings.php');
	include_once('./include/globals.php');
	include_once('./include/loader.php');
	include_once('./include/login_functions.php');
	// make sure the user has logged in before accessing this page
	if(($user_struct = get_login_status()) === FALSE){ header("Location: login.php"); exit(0); }

	include_once('./include/functions.php');

	// define some template specific variables
	$PAGE_TITLE = "Webupdate | eSurvey 2.0 :: Publish Point Browser";
	$PAGE_HEADER_TEXT = "OPEN PAGE...";
	include_once('./include/popup_header.php'); 
	include_once('./include/popup_section_header.php'); 
?>
<!-- MAIN PAGE CONTENT [start] -->				
	<script language='JavaScript' src='./js/page_specific/pub_point_browser.js'></script>
	<style type='text/css'>
		.l_pub_point_div {
			width: 326px;
			height: 235px;
			overflow: auto;
			overflow-y: scroll;
			overflow-x: hidden;
			background-color: #cfe1e5;
		}
		.l_pub_entry {
			width: 310px;
			height: 25px;
			padding: 6px 6px 0px 9px;
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
		}
		.l_pub_link_off {
			font: normal normal normal 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
			line-height: 11px;
			color: #000000;
			text-decoration: none;
		}
		.l_pub_link_off:hover {
			font: normal normal normal 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
			line-height: 11px;
			color: #000000;
			text-decoration: underline;
		}
		.l_pub_link_on {
			font: normal normal bold 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
			line-height: 11px;
			color: #297181;
			text-decoration: none;
			cursor: default;
		}
		.l_pub_link_on:hover {
			font: normal normal bold 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
			line-height: 11px;
			color: #297181;
			text-decoration: none;
			cursor: default;
		}
	</style>

	<center>
	<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
	<table cellspacing='0' cellpadding='0' border='0' style='border: 1px solid #4f5161; background-color: #cfe1e5;'>
	<tr>
		<td width='334' align='right'>
			<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
<!-- PUBLISH POINT LIST [start] -->
			<table cellspacing='0' cellpadding='0' border='0'>
			<tr>
				<td width='328' colspan='3' height='20' align='left' valign='middle' bgcolor='#4f5161'>
					<table cellspacing='0' cellpadding='0' border='0'>
					<tr>
						<td><span class='g_sub_section_header'><b>Publish Points List</b></span></td>
						<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/the_publish_point_browser.html#PublishPointsList");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
					</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
				<td width='326' align='left' valign='top'>
					<div class='l_pub_point_div'>
<?php
	$entry_rgb = Array('#e2edef','#ffffff');
	$rgb_idx = 0;
	$query = 'SELECT publish_point_id, server_name, user_name FROM esy_publish_points WHERE rec_status_id = 1';
	$db_result = $DBH->query($query);
	if(DB::isError($db_result)){ die($db_result->message.'<br>'.$db_result->userinfo); }
	$i = 0;
	while($db_row = $db_result->fetchRow()){
		extract($db_row);
		$pub_point_name = "$user_name@$server_name";
		echo "<div id='pub_entry_${i}' class='l_pub_entry' style='background-color: ".$entry_rgb[$rgb_idx].";'><a id='pub_link_${i}' onmouseup='pub_point_onmouseup(${i});' class='l_pub_link_off' href='pub_point_file_list.php?publish_point_id=${publish_point_id}' target='file_browser_iframe' title='".to_html_attrib_str($pub_point_name)."'>${pub_point_name}</a></div>\n";
		$i++;
		$rgb_idx = ($rgb_idx == count($entry_rgb)-1 ) ? 0 : ++$rgb_idx;
	}
?>
					</div>
				</td>
				<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
			</tr>
			<tr>
				<td width='328' colspan='3' height='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
			</tr>
			</table>
<!-- PUBLISH POINT LIST [end] -->
			<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
		</td>
		<td width='8'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
		<td width='334' align='left'>
			<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
<!-- FILE BROWSER [start] -->
			<table cellspacing='0' cellpadding='0' border='0'>
			<tr>
				<td width='328' colspan='3' height='20' align='left' valign='middle' bgcolor='#4f5161'>
					<table cellspacing='0' cellpadding='0' border='0'>
					<tr>
						<td><span class='g_sub_section_header'><b>File Browser</b></span></td>
						<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/the_publish_point_browser.html#FileBrowser");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
					</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
				<td width='326' align='left' valign='top'>
					<iframe name='file_browser_iframe' id='file_browser_iframe' width='326' height='235' src='pub_point_file_list.php' border='0' frameborder='0' hspace='0' vspace='0' marginwidth='0' marginheight='0' scrolling='yes'></iframe>
				<td width='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
			</tr>
			<tr>
				<td width='328' colspan='3' height='1' bgcolor='#4f5161'><img width='1' height='1' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br></td>
			</tr>
			</table>
<!-- FILE BROWSER [end] -->
			<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
		</td>
	</tr>
	</table>
	<table cellspacing='0' cellpadding='0' border='0'>
	<tr>
		<td width='678' height='28' align='left' valign='middle'>
			<img id='busy_bar_img' width='100' height='18' src='./images/global/other/other_busy_bar_off.gif' hspace='0' vspace='0' border='0'><br>
		</td>
	</tr>
	</table>
	</center>
<!-- MAIN PAGE CONTENT [end] -->				
<?php include_once('./include/popup_footer.php'); ?>
