<?php 
	require_once('./pear/DB.php');
	include_once('./settings/settings.php');
	include_once('./include/globals.php');
	include_once('./include/loader.php');
	include_once('./include/login_functions.php');
	// make sure the user has logged in before accessing this page
	if(($user_struct = get_login_status()) === FALSE){ header("Location: login.php"); exit(0); }

	include_once('./include/functions.php');
	include_once('./include/page_specific/reports.php');

	// define some template specific variables
	$PAGE_TITLE = "Webupdate | eSurvey 2.0 :: Reports";
	$PAGE_HEADER_TEXT = "REPORTS &amp; STATISTICS";
	include_once('./include/header.php'); 
	include_once('./include/section_header.php'); 

	$response_count = 0; // the number of people who have responded to this survey

	$survey_tab = isset($_REQUEST['survey_tab']) ? $_REQUEST['survey_tab'] : 0;
	$survey_id = isset($_REQUEST['survey_id']) ? $_REQUEST['survey_id'] : '';
	$valid_survey_id = 0;

	// see if a survey id was passed in and whether it is the correct format
	if(isset($_REQUEST['survey_id']) && is_numeric($_REQUEST['survey_id'])){
		$survey_id = $_REQUEST['survey_id'];
		// check if the survey_id exists in the database
		if(get_survey_hash($survey_id) !== FALSE){ 
			$valid_survey_id = 1;
			$response_count = get_response_count($survey_id); 
			$survey_struct = get_survey_data_struct($survey_id);
		}
	} // end if
?>
<!-- MAIN PAGE CONTENT [start] -->				
					<style type='text/css'>
					<!--
						.l_section_header {
							font: normal normal bold 9px verdana,tahoma,helvetica,arial,Sans-serif,sans-serif;
							color: #ffffff;
							line-height: 11px;
							
						}
						.l_table_text {
							font: normal normal normal 9px verdana,tahoma,helvetica,arial,Sans-serif,sans-serif;
							color: #000000;
							line-height: 11px;
							overflow: hidden;
							text-overflow: ellipsis;
							white-space: nowrap;
						}
						.l_header_r_border { border-right: 1px solid #808080; }
						.l_table_r_border { border-right: 1px solid #8f99a3; }
						.l_table_b_border { border-bottom: 1px solid #8f99a3; }
						.l_stat_cell { background-color: #cfe1e5; }
						.l_sub_header_cell { background-color: #c4ced0; }
						.l_question_cell { background-color: #ffffff; }
						.l_required{
							font: normal normal bold 10px verdana,tahoma,arial,helvetica,Sans-serif,sans-serif;
							color: #ff0000;
							line-height: 12px;
							margin: 2px 4px 0px 0px;
						}
						.l_percent_bar {
							width: 282px;
							height: 13px;
							border: 1px solid #4f5161;
							background-color: #e2edef;
							margin: 0px 0px 0px 6px;
						}
						.l_form_select_box {
							overflow: auto;
							font: normal normal normal 9px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
							color: #000000;
							line-height: 11px;
							background-color: #ffffff;
							border: 0px;
							padding: 0px;
							margin: 0px;
						}
					-->
					</style>
					<script language='JavaScript' src='./js/utils.js'></script>
					<script language='JavaScript' src='./js/page_specific/reports.js'></script>
					<script language='JavaScript'>
					<!--
						<?php echo get_survey_pulldown_js_struct(); ?>
					//-->
					</script>

					<img width='1' height='21' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
					<center>
<!-- SURVEY SELECT TABLE [start] -->
					<table cellspacing='0' cellpadding='0' border='0' style='border: 1px solid #808080;'>
					<tr>
						<td class='l_header_r_border' width='693' height='22' align='left' valign='middle' bgcolor='#4f5161'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='623' height='20'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td><span class='g_sub_section_header'><b>Select Survey</b></span></td>
										<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/reports_and_statistics.html#SelectSurvey");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
									</tr>
									</table>
								</td>
							</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td height='38' align='left' valign='middle' bgcolor='#cfe1e5'>
							<form name='survey_report_form' id='survey_report_form' method='POST' action='<?php echo $_SERVER['PHP_SELF']; ?>'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td align='left' valign='middle' style='padding-left:9px;'>
									<select onchange='survey_status_onchange();' class='l_form_select_box' name='survey_tab' id='survey_tab' style='width:100px;'>
										<option value='0' <?php echo ($survey_tab == 0) ? 'selected' : ''; ?>>Drafts</option>
										<option value='1' <?php echo ($survey_tab == 1) ? 'selected' : ''; ?>>Waiting</option>
										<option value='2' <?php echo ($survey_tab == 2) ? 'selected' : ''; ?>>Running</option>
										<option value='3' <?php echo ($survey_tab == 3) ? 'selected' : ''; ?>>Completed</option>
									</select>
								</td>
								<td align='left' valign='middle' style='padding-left:9px;'>
									<select class='l_form_select_box' name='survey_id' id='survey_id' size='1' size='1' style='width:300px;'>
										<option value=''>-------- Choose One --------</option>
									</select>
								</td>
								<td align='left' valign='middle' style='padding-left:9px;'><a href='javascript:void(0);' onclick='submit_form();'><img onmouseover='this.src=bttn_go_on.src;' onmouseout='this.src=bttn_go_off.src;' width='26' height='19' src='./images/reports/button/bttn_go_off.gif' alt='Go' title='Go' hspace='0' vspace='0' border='0'></a><br></td>
							</tr>
							</table>
							</form>
							<script language='JavaScript'> 
							<!--
								// update the survey name pulldown
								survey_status_onchange(); 
								// make sure the current survey is shown in the pulldown
								<?php if($valid_survey_id){ echo "set_selected_survey_pulldown(${survey_id});\n"; } ?>
							//-->
							</script>
						</td>
					</tr>
					</table>
<!-- SURVEY SELECT TABLE [end] -->

					<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>

					<?php if($valid_survey_id){ ?>
						<table cellspacing='0' cellpadding='0' border='0' style='border: 1px solid #808080;'>
						<tr>
							<td class='l_table_b_border' colspan='3' height='22' align='left' valign='middle' bgcolor='#ededef'>
								<a href='./proc_modules/dl_csv_distrib_report.php?survey_id=<?php echo $survey_id; ?>'><img onmouseover='this.src=bttn_download_report_on.src;' onmouseout='this.src=bttn_download_report_off.src;' align='right' width='95' height='19' src='./images/reports/button/bttn_download_report_off.gif' alt='Download Report' title='Download Report' hspace='2' vspace='0' border='0'></a>
								<div class='g_page_header' style='padding: 3px 0px 0px 10px;'><b>RESULTS</b></div>
							</td>
						</tr>
						<tr>
							<td colspan='2' height='22' align='left' valign='middle' bgcolor='#ffffff'><div class='l_table_text' style='margin-left: 9px;'><b>Survey Respondents:</b></div></td>
							<td height='22' align='center' valign='middle' bgcolor='#ffffff'><div class='l_table_text'><b><?php echo $response_count; ?></b><br></div></td>
						</tr>
						<tr>
							<td class='l_header_r_border' width='248' height='22' align='left' valign='middle' bgcolor='#4f5161'><div class='l_section_header' style='margin-left: 9px;'>Question</div></td>
							<td class='l_header_r_border' width='350' height='22' align='center' valign='middle' bgcolor='#4f5161'><div class='l_section_header'>Percentage</div></td>
							<td width='94' height='22' align='center' valign='middle' bgcolor='#4f5161'><div class='l_section_header'>Totals</div></td>
						</tr>
						<?php echo get_survey_distrib_report_html($survey_id, $response_count); ?>
						</table>
						<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
<!-- LEGEND TABLE [start] -->
					<table cellspacing='0' cellpadding='0' border='0' style='border: 1px solid #808080;'>
					<tr>
						<td class='l_header_r_border' width='693' height='22' align='left' valign='middle' bgcolor='#4f5161'>
							<table cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='623' height='20'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td><span class='g_sub_section_header'><b>Legend</b></span></td>
										<td><a href='JavaScript:void(0);' onclick='popup_context_help("./help/reports_and_statistics.html#Legend");'><img onmouseover='this.src=icon_context_help_on.src;' onmouseout='this.src=icon_context_help_off.src;' width='13' height='13' src='./images/global/icon/icon_context_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a><br></td>
									</tr>
									</table>
								</td>
							</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td height='26' align='center' valign='middle' bgcolor='#cfe1e5'>
							<table height='26' cellspacing='0' cellpadding='0' border='0'>
							<tr>
								<td width='114' align='center' valign='middle'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td valign='middle'><img width='28' height='21' src='./images/reports/icon/icon_text_box_off.gif' alt='Text Box' title='Text Box' hspace='0' vspace='0' border='0' style='margin-right:4px;'><br></td>
										<td valign='middle' class='l_table_text'>Text Box<br></td>
									</tr>
									</table>
								</td>
								<td width='1' bgcolor='#808080'><div class='g_spacer'><br></div></td>
								<td width='115' align='center' valign='middle'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td valign='middle'><img width='28' height='21' src='./images/reports/icon/icon_text_area_off.gif' alt='Text Area' title='Text Area' hspace='0' vspace='0' border='0' style='margin-right:4px;'><br></td>
										<td valign='middle' class='l_table_text'>Text Area<br></td>
									</tr>
									</table>
								</td>
								<td width='1' bgcolor='#808080'><div class='g_spacer'><br></div></td>
								<td width='115' align='center' valign='middle'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td valign='middle'><img width='28' height='21' src='./images/reports/icon/icon_radio_buttons_off.gif' alt='Radio Buttons' title='Radio Buttons' hspace='0' vspace='0' border='0' style='margin-right:4px;'><br></td>
										<td valign='middle' class='l_table_text'>Radio Buttons<br></td>
									</tr>
									</table>
								</td>
								<td width='1' bgcolor='#808080'><div class='g_spacer'><br></div></td>
								<td width='115' align='center' valign='middle'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td valign='middle'><img width='28' height='21' src='./images/reports/icon/icon_check_boxes_off.gif' alt='Check Boxes' title='Check Boxes' hspace='0' vspace='0' border='0' style='margin-right:4px;'><br></td>
										<td valign='middle' class='l_table_text'>Check Boxes<br></td>
									</tr>
									</table>
								</td>
								<td width='1' bgcolor='#808080'><div class='g_spacer'><br></div></td>
								<td width='115' align='center' valign='middle'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td valign='middle'><img width='28' height='21' src='./images/reports/icon/icon_drop_down_off.gif' alt='Drop Down' title='Drop Down' hspace='0' vspace='0' border='0' style='margin-right:4px;'><br></td>
										<td valign='middle' class='l_table_text'>Drop Down<br></td>
									</tr>
									</table>
								</td>
								<td width='1' bgcolor='#808080'><div class='g_spacer'><br></div></td>
								<td width='114' align='center' valign='middle'>
									<table cellspacing='0' cellpadding='0' border='0'>
									<tr>
										<td valign='middle'><img width='28' height='21' src='./images/reports/icon/icon_select_box_off.gif' alt='Select Box' title='Select Box' hspace='0' vspace='0' border='0' style='margin-right:4px;'><br></td>
										<td valign='middle' class='l_table_text'>Select Box<br></td>
									</tr>
									</table>
								</td>
							</tr>
							</table>
						</td>
					</tr>
					</table>
<!-- LEGEND TABLE [end] -->

					<?php } ?>

					</center>
					<img width='1' height='8' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
<!-- MAIN PAGE CONTENT [end] -->				
<?php include_once('./include/footer.php'); ?>
