<?php
	// if the user_struct hasn't been set, then the user hasn't logged in yet
	if(!(isset($user_struct) && is_array($user_struct))){ $logged_in = 0; }
	else{
		$logged_in = 1;
		$user_type_id = $user_struct['user_type_id'];
		// make sure we have a user type id that we recognize, otherwise, force
		// logged out state
		if(!($user_type_id == $UID_ADMIN || $user_type_id == $UID_USER)){ $logged_in = 0; } 
	}
?>
<script language='JavaScript' src='./js/utils.js'></script>
<script language='JavaScript' src='./js/menu_nav.js'></script>
<!-- MAIN NAVIGATION BAR [start] -->
<table cellspacing='0' cellpadding='0' border='0'>
<tr>
	<td align='left' valign='top'>
		<a href='javascript:void(0);'><img id='menu_anchor_0' onmouseover='menu_on(0);' onmouseout='menu_off(0);' align='left' width='60' height='19' src='./images/global/button/bttn_home_off.gif' alt='Home' title='Home' hspace='0' vspace='0' border='0'></a>
		<a href='javascript:void(0);'><img id='menu_anchor_1' onmouseover='menu_on(1);' onmouseout='menu_off(1);' align='left' width='60' height='19' src='./images/global/button/bttn_view_off.gif' alt='View' title='View' hspace='0' vspace='0' border='0'></a>
		<a href='javascript:void(0);'><img id='menu_anchor_2' onmouseover='menu_on(2);' onmouseout='menu_off(2);' align='left' width='60' height='19' src='./images/global/button/bttn_system_off.gif' alt='System' title='System' hspace='0' vspace='0' border='0'></a>
		<a href='javascript:void(0);'><img id='menu_anchor_3' onmouseover='menu_on(3);' onmouseout='menu_off(3);' align='left' width='60' height='19' src='./images/global/button/bttn_help_off.gif' alt='Help' title='Help' hspace='0' vspace='0' border='0'></a>
	</td>
</tr>
</table>
<!-- MAIN NAVIGATION BAR [end] -->

<div id='menu_0' onmouseover='menu_on(0);' onmouseout='menu_off(0);' class='g_no_space g_menu_box_outer_border' style='display: none;'>
	<table class='g_menu_box'cellspacing='0' cellpadding='0' border='0'>
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
<?php if($logged_in){ ?>
	<tr><td class='g_menu_entry'><a href='edit_survey.php'>&#160; Add Survey &#160;<br></a></td></tr>
	<tr><td align='center' valign='middle'><div class='g_menu_entry_spacer'><br></div></td></tr>
	<tr><td class='g_menu_entry'><a href='login.php?page_action=logout'>&#160; Log Off &#160;<br></a></td></tr>
<? }else{ ?>
	<tr><td class='g_menu_entry_disabled'>&#160; Add Survey &#160;<br></td></tr>
	<tr><td align='center' valign='middle'><div class='g_menu_entry_spacer'><br></div></td></tr>
	<tr><td class='g_menu_entry'><a href='login.php'>&#160; Log In&#160;<br></a></td></tr>
<? } ?>
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
	</table>
</div>
<div id='menu_1' onmouseover='menu_on(1);' onmouseout='menu_off(1);' class='g_no_space g_menu_box_outer_border' style='display: none;'>
	<table class='g_menu_box'cellspacing='0' cellpadding='0' border='0'>
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
<?php if($logged_in){ ?>
	<tr><td class='g_menu_entry'><a href='survey_list.php?active_tab_idx=0'>&#160; Draft Surveys &#160;<br></a></td></tr>
	<tr><td class='g_menu_entry'><a href='survey_list.php?active_tab_idx=1'>&#160; Waiting Surveys &#160;<br></a></td></tr>
	<tr><td class='g_menu_entry'><a href='survey_list.php?active_tab_idx=2'>&#160; Running Surveys &#160;<br></a></td></tr>
	<tr><td class='g_menu_entry'><a href='survey_list.php?active_tab_idx=3'>&#160; Completed Surveys &#160;<br></a></td></tr>
	<tr><td align='center' valign='middle'><div class='g_menu_entry_spacer'><br></div></td></tr>
	<tr><td class='g_menu_entry'><a href='reports.php'>&#160; Reports &amp; Statistics &#160;<br></a></td></tr>
<? }else{ ?>
	<tr><td class='g_menu_entry_disabled'>&#160; Draft Surveys &#160;<br></td></tr>
	<tr><td class='g_menu_entry_disabled'>&#160; Waiting Surveys &#160;<br></td></tr>
	<tr><td class='g_menu_entry_disabled'>&#160; Running Surveys &#160;<br></td></tr>
	<tr><td class='g_menu_entry_disabled'>&#160; Completed Surveys &#160;<br></td></tr>
	<tr><td align='center' valign='middle'><div class='g_menu_entry_spacer'><br></div></td></tr>
	<tr><td class='g_menu_entry_disabled'>&#160; Reports &amp; Statistics &#160;<br></td></tr>
<? } ?>
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
	</table>
</div>
<div id='menu_2' onmouseover='menu_on(2);' onmouseout='menu_off(2);' class='g_no_space g_menu_box_outer_border' style='display: none;'>
	<table class='g_menu_box'cellspacing='0' cellpadding='0' border='0'>
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
<?php if($logged_in){ ?>
	<tr><td class='g_menu_entry'><a href='system_user_management.php'>&#160; Users &#160;<br></a></td></tr>
	<?php if($user_type_id == $UID_ADMIN){ ?>
		<tr><td class='g_menu_entry'><a href='system_options.php'>&#160; System Options &#160;<br></a></td></tr>
		<tr><td class='g_menu_entry'><a href='system_pub_points.php'>&#160; Publish Points &#160;<br></a></td></tr>
	<? }else{ ?>
		<tr><td class='g_menu_entry_disabled'>&#160; System Options &#160;<br></td></tr>
		<tr><td class='g_menu_entry_disabled'>&#160; Publish Points &#160;<br></td></tr>
	<? } ?>
<? }else{ ?>
	<tr><td class='g_menu_entry_disabled'>&#160; Users &#160;<br></td></tr>
	<tr><td class='g_menu_entry_disabled'>&#160; System Options &#160;<br></td></tr>
	<tr><td class='g_menu_entry_disabled'>&#160; Publish Points &#160;<br></td></tr>
<? } ?>
	<!--	
	<tr><td align='center' valign='middle'><div class='g_menu_entry_spacer'><br></div></td></tr>
	<tr><td class='g_menu_entry'><a href='#'>&#160; Live Update &#160;<br></a></td></tr>
	-->
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
	</table>
</div>
<div id='menu_3' onmouseover='menu_on(3);' onmouseout='menu_off(3);' class='g_no_space g_menu_box_outer_border' style='display: none;'>
	<table class='g_menu_box'cellspacing='0' cellpadding='0' border='0'>
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
	<tr><td class='g_menu_entry'><a href='help.php'>&#160; Help Topics &#160;<br></a></td></tr>
	<tr><td class='g_menu_entry'><a href='javascript:void(0);' onmouseup='popup_about_esurvey();'>&#160; About eSurvey &#160;<br></a></td></tr>
	<tr><td><div class='g_spacer' style='height: 5px;'><br></div></td></tr>
	</table>
</div>
