	// prepare all of the page's rollover graphics
	if(document.images){
		var bttn_home_off = new Image(); bttn_home_off.src = './images/global/button/bttn_home_off.gif';
		var bttn_home_on = new Image(); bttn_home_on.src = './images/global/button/bttn_home_on.gif';
		var bttn_view_off = new Image(); bttn_view_off.src = './images/global/button/bttn_view_off.gif';
		var bttn_view_on = new Image(); bttn_view_on.src = './images/global/button/bttn_view_on.gif';
		var bttn_system_off = new Image(); bttn_system_off.src = './images/global/button/bttn_system_off.gif';
		var bttn_system_on = new Image(); bttn_system_on.src = './images/global/button/bttn_system_on.gif';
		var bttn_help_off = new Image(); bttn_help_off.src = './images/global/button/bttn_help_off.gif';
		var bttn_help_on = new Image(); bttn_help_on.src = './images/global/button/bttn_help_on.gif';
	}

	// the menu database stores all of the data necessary for maintaining and
	// operating upon the main menu navigation heirarchy
	var aMenuDB = new Array();

	aMenuDB[0] = new Object();
	aMenuDB[0].child_menu_id = 'menu_0';
	aMenuDB[0].anchor_id = 'menu_anchor_0';
	aMenuDB[0].anchor_img_on = bttn_home_on;
	aMenuDB[0].anchor_img_off = bttn_home_off;
	aMenuDB[0].menu_x_align = -1; // (-1 = left, 1 = right);
	aMenuDB[0].menu_y_align = 1; // (-1 = top, 1 = bottom);
	aMenuDB[0].menu_x_offset = -1;
	aMenuDB[0].menu_y_offset = -1;

	aMenuDB[1] = new Object();
	aMenuDB[1].child_menu_id = 'menu_1';
	aMenuDB[1].anchor_id = 'menu_anchor_1';
	aMenuDB[1].anchor_img_on = bttn_view_on;
	aMenuDB[1].anchor_img_off = bttn_view_off;
	aMenuDB[1].menu_x_align = -1; // (-1 = left, 1 = right);
	aMenuDB[1].menu_y_align = 1; // (-1 = top, 1 = bottom);
	aMenuDB[1].menu_x_offset = -1;
	aMenuDB[1].menu_y_offset = -1;

	aMenuDB[2] = new Object();
	aMenuDB[2].child_menu_id = 'menu_2';
	aMenuDB[2].anchor_id = 'menu_anchor_2';
	aMenuDB[2].anchor_img_on = bttn_system_on;
	aMenuDB[2].anchor_img_off = bttn_system_off;
	aMenuDB[2].menu_x_align = -1; // (-1 = left, 1 = right);
	aMenuDB[2].menu_y_align = 1; // (-1 = top, 1 = bottom);
	aMenuDB[2].menu_x_offset = -1;
	aMenuDB[2].menu_y_offset = -1;

	aMenuDB[3] = new Object();
	aMenuDB[3].child_menu_id = 'menu_3';
	aMenuDB[3].anchor_id = 'menu_anchor_3';
	aMenuDB[3].anchor_img_on = bttn_help_on;
	aMenuDB[3].anchor_img_off = bttn_help_off;
	aMenuDB[3].menu_x_align = -1; // (-1 = left, 1 = right);
	aMenuDB[3].menu_y_align = 1; // (-1 = top, 1 = bottom);
	aMenuDB[3].menu_x_offset = -1;
	aMenuDB[3].menu_y_offset = -1;

	var active_menu = -1;
	var num_menus = aMenuDB.length;
// ---------------------------------------------------------------------------
	function menu_on(_idx){
		var anchor_geom;
		var menu_left = 0;
		var menu_top = 0;

		var anchor_obj = document.getElementById(aMenuDB[_idx].anchor_id);
		var child_menu_obj = document.getElementById(aMenuDB[_idx].child_menu_id);

		// update which menu item is currently active
		active_menu = _idx;

		// position the menu according to the specified edges of the anchor object
		anchor_geom = get_abs_geometry(anchor_obj);

		if(aMenuDB[_idx].menu_x_align == -1){ menu_left = anchor_geom.x; }
		if(aMenuDB[_idx].menu_x_align == 1){ menu_left = anchor_geom.x + anchor_geom.w; }
		if(aMenuDB[_idx].menu_y_align == -1){ menu_top = anchor_geom.y; }
		if(aMenuDB[_idx].menu_y_align == 1){ menu_top = anchor_geom.y + anchor_geom.h; }

		// factor in the menu offsets
		menu_left += aMenuDB[_idx].menu_x_offset;
		menu_top += aMenuDB[_idx].menu_y_offset;

		// dispaly and position the menu
		with(child_menu_obj.style){
			top = menu_top + 'px';
			left = menu_left + 'px';
			display = '';
		}

		// perform the anchor image rollover
		anchor_obj.src = aMenuDB[_idx].anchor_img_on.src;
	}
// ---------------------------------------------------------------------------
	function menu_off(_idx){
		// set no menus currently active
		active_menu = -1;
		// check whether the menu should be hidden
		setTimeout('if(active_menu != '+_idx+'){ hide_menu('+_idx+'); }', 10);
	}
// ---------------------------------------------------------------------------
	function hide_menu(_idx){
		var anchor_obj = document.getElementById(aMenuDB[_idx].anchor_id);
		var child_menu_obj = document.getElementById(aMenuDB[_idx].child_menu_id);

		// hide the menu
		child_menu_obj.style.display = 'none';

		// perform the anchor image rolloff
		anchor_obj.src = aMenuDB[_idx].anchor_img_off.src;
	}
// ===========================================================================
// ||||||||||||||||||||| MENU ITEM SPECIFIC FUNCTIONS ||||||||||||||||||||||||
// ===========================================================================
	// this function simply creates a popup window with the about page
	function popup_about_esurvey(){
	var cFeatures = 
		'width=496,' +
		'height=346,' +
		'scrollbars=no,' +
		'resizable=no,' +
		'location=no,' +
		'menubar=no,' +
		'status=no,' +
		'titlebar=no,' +
		'toolbar=no';

		var popup_win = window.self.open('popup_about_esurvey.php', 'about_esurvey', cFeatures);
	}
// ---------------------------------------------------------------------------
