	// the browser window might already be open, and hidden behind other
	// windows, so bring it to the top
	window.focus();

	// ---------------------------------------------------------------------------
	// this function sets up our form, starts the busy bar animation, and posts
	// to itself with the new directory info to be displayed
	function directory_onmouseup(_new_dir){
		var f = document.forms['file_browser_form'];

		// try to turn on the busy bar animation
		if(top.window && top.window.start_busy_animation){ top.window.start_busy_animation(); }

		// set up our form fields
		f['append_path'].value = _new_dir;
		f['page_action'].value = 'chdir';

		submit_form();
	}
	// ---------------------------------------------------------------------------
	// this function simply submits the pages form and ensures that users don't
	// submit it multiple times while the page is attempting to load
	var is_submitting = 0;
	function submit_form(){
		if(!is_submitting){
			is_submitting = 1;
			setTimeout("document.forms['file_browser_form'].submit();",10);
		}
		return true;
	}
	// ---------------------------------------------------------------------------
	// this function takes the publish point id and the full pathname of the
	// file that the user clicked and passes it to the parent window's (insert
	// survey page's) form. The form is submitted, which tells the page to
	// connect to the ftp server and load the contents of the file into the main textarea
	function file_onmouseup(_publish_point_id, _remote_file){
		var f;
		// see if there's a parent window and attempt to load the file contents into the insert survey's textarea
		if(top.window.opener){
			if(top.window.opener.document){
				// focus the parent window
				top.window.opener.focus();
				f = top.window.opener.document.forms['insert_survey_form'];
				if(f){
					// set up the parent windows form for submission
					f['page_action'].value = 'load_file';
					f['remote_file'].value = _remote_file;
					f['publish_point_id'].value = _publish_point_id;
					// give a split second for the browser to accept that the form has new values before submitting
					setTimeout('top.window.opener.document.forms["insert_survey_form"].submit()', 10);
				}
			}
		}
	} 
	// ---------------------------------------------------------------------------
