<?php
	require_once('./pear/DB.php');
	include_once('./settings/settings.php');
	include_once('./include/globals.php');
	include_once('./include/loader.php');
	include_once('./include/login_functions.php');
	// make sure the user has logged in before accessing this page
	if(($user_struct = get_login_status()) === FALSE){ header("Location: login.php"); exit(0); }

	include_once('./include/functions.php');
?>

<html>
<head>
	<title>WebUpdate | eSurvey 2.0 :: Test FTP Connection</title>
	<meta http-equiv='Content-Type' content='text/html; charset=ISO-2022-JP'>
	<meta http-equiv='Content-Script-Type' content='text/javascript'>
	<meta http-equiv='Content-Style-Type' content='text/css'>
	<meta http-equiv='Content-Language' content='en-GB'>
	<meta name='copyright' content='&copy; <?php echo date("Y"); ?> DesignTek 1. All rights reserved.'>
	<meta name='author' content='DesignTek 1'>
	<meta name='description' content=''>
	<meta name='keywords' content=''>
	<link rel='stylesheet' type='text/css' href='./css/world.css'>
	<script language='JavaScript'>
	<!--
		// prepare images for rollovers
		if(document.images){
			var bttn_close_window_off = new Image(); bttn_close_window_off.src = './images/global/button/bttn_close_window_off.gif';
			var bttn_close_window_on = new Image(); bttn_close_window_on.src = './images/global/button/bttn_close_window_on.gif';
		}
	//-->
	</script>
	<style type='text/css'>
	<!--
		.l_body {
			border: 0px;
			margin: 0px;
			padding: 0px;
			background-color: #cfe1e5;
		}
		.l_info_text {
			font: normal normal normal 10px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
			line-height: 12px;
			color: #000000;
		}
		.l_ftp_error {
			font: normal normal bold 10px Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif;
			line-height: 12px;
			color: #ff0000;
			padding: 8px;
			background-color: #ffffff;
		}
		.l_page_canvas{
			position: absolute;
			width: 100%;
			height: 100%;
		}
	-->
	</style>
</head>
<body class='l_body' marginwidth='0' marginheight='0' topmargin='0' leftmargin='0' bottommargin='0' rightmargin='0' onload='window.focus();'>
	<div id='loading_div' class='l_page_canvas'>
		<table width='100%' height='100%' cellspacing='0' cellpadding='0' border='0'>
		<tr>
			<td width='100%' height='100%' align='center' valign='middle'>
				<span class='l_info_text'>Testing Connection...</span><br>
				<img width='1' height='4' src='./images/global/other/other_clear_spacer.gif' hspace='0' vspace='0' border='0'><br>
				<img id='busy_bar_img' width='100' height='18' src='./images/global/other/other_busy_bar_on.gif' hspace='0' vspace='0' border='0'><br>
			</td>
		</tr>
		</table>
	</div>
	<div id='done_div' class='l_page_canvas' style='display:none; background-color: #cfe1e5;'>
		<table width='100%' height='100%' cellspacing='0' cellpadding='0' border='0'>
		<tr>
			<td width='100%' height='100%' align='center' valign='middle'>
				<div id='info_message'></div>
				<a href='javascript:void(0)' onmouseup='window.close();'><img onmouseover='this.src=bttn_close_window_on.src;' onmouseout='this.src=bttn_close_window_off.src;' width='76' height='19' src='./images/global/button/bttn_close_window_off.gif' alt='Close Window' title='Close Window' hspace='0' vspace='4' border='0'></a><br>
			</td>
		</tr>
		</table>
	</div>
<?php
	// try to get the details about the publish point from the hook
	$ftp_server_name 	= (isset($_REQUEST['ftp_server_name'])) ? $_REQUEST['ftp_server_name'] : '';
	$ftp_username 		= (isset($_REQUEST['ftp_username'])) ? $_REQUEST['ftp_username'] : '';
	$ftp_password 		= (isset($_REQUEST['ftp_password'])) ? $_REQUEST['ftp_password'] : '';
	$ftp_port_num 		= (isset($_REQUEST['ftp_port_num'])) ? $_REQUEST['ftp_port_num'] : '';
	$ftp_passive_mode 	= (isset($_REQUEST['ftp_passive_mode'])) ? $_REQUEST['ftp_passive_mode'] : '';
	$ftp_default_dir	= (isset($_REQUEST['ftp_default_dir'])) ? $_REQUEST['ftp_default_dir'] : '';

	// pass these values via a constructed query string to the testing page
	$test_url = "test_pp_conn.php?".
				"ftp_server_name=".urlencode("${ftp_server_name}")."&".
				"ftp_username=".urlencode("${ftp_username}")."&".
				"ftp_password=".urlencode("${ftp_password}")."&".
				"ftp_port_num=".urlencode("${ftp_port_num}")."&".
				"ftp_passive_mode=".urlencode("${ftp_passive_mode}")."&".
				"ftp_default_dir=".urlencode("${ftp_default_dir}");
?>
	<iframe name='test_conn_iframe' id='test_conn_iframe' width='1' height='1' src='<?php echo $test_url; ?>' border='0' frameborder='0' hspace='0' vspace='0' marginwidth='0' marginheight='0' scrolling='yes'></iframe>
</body>
</html>
